name: CI

on:
  push:
    branches: [main, 3d-nds]
  pull_request:
    branches: [main, 3d-nds]

jobs:
  ci:
    runs-on: ubuntu-latest

    steps:
      - uses: actions/checkout@v4

      - name: pnpm setup
        uses: pnpm/action-setup@v4
        with:
          version: 10

      - name: node setup
        uses: actions/setup-node@v4
        with:
          node-version: 25
          cache: "pnpm"

      - name: install
        run: pnpm install --frozen-lockfile

      - name: lint
        run: pnpm lint

      - name: build
        run: pnpm build
